SCADA Vulnerabilities & Exposures (SVE)

CRITIFENCE® SCADA Vulnerabilities and Exposures Database (SVE)

[SVE-535211232] Gemalto Sentinel License Manager

Date Type Platform Author EDB-ID CVE-ID OSVDB-ID Download App SIS Signature
2018-02-01OtherGemaltoKaspersky Labs ICS-CERT reported these vulnerabilities to Gemalto CERT and NCCIC.N/ACVE-2017-1149 CVE-2017-1149 CVE-2017-1149 CVE-2017-1281 CVE-2017N/AN/AN/A

Source

						
							
								
#
# Gemalto Sentinel License Manager
#


### VULNERABLE VENDOR
Gemalto


### VULNERABLE PRODUCT
Sentinel License Manager 


### RESEARCHER
Kaspersky Labs ICS-CERT reported these vulnerabilities to Gemalto CERT and NCCIC.


### AFFECTED PRODUCTS
The following Sentinel License Manger services are affected:

All HASP SRM, Sentinel HASP, and Sentinel LDK products prior to Sentinel LDK RTE 7.55



### IMPACT
Successful exploitation of these vulnerabilities could lead to remote code execution or cause a denial-of-service condition, rendering the Sentinel LDK License Manager service unavailable.


### VULNERABILITY OVERVIEW
NULL POINTER DEREFERENCE CWE-476
Language packs (zip files) with invalid HTML files lead to NULL pointer dereferences, which could be exploited by an attacker leveraging malicious HTML files.
This could lead to a denial-of-service condition.
CVE-2017-11498 has been assigned to this vulnerability.
A CVSS v3 base score of 7.5 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)


STACK-BASED BUFFER OVERFLOW CWE-121
Language packs containing file names longer than 1,024 characters and malformed ASN.1 streams in input files can lead to a stack-based buffer overflow.
This may allow remote code execution.
CVE-2017-11497 has been assigned to this vulnerability.
A CVSS v3 base score of 9.8 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)


STACK-BASED BUFFER OVERFLOW CWE-121
Malformed ASN.1 streams in V2C and similar input files can be used to generate stack-based buffer overflows.
This could allow remote code execution.
CVE-2017-11496 has been assigned to this vulnerability.
A CVSS v3 base score of 9.8 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)


STACK-BASED BUFFER OVERFLOW CWE-121
XML payload with more than supported number of elements leads to buffer overflow of a variable in stack.
This vulnerability can be exploited for denial of service.
CVE-2017-12818 has been assigned to this vulnerability.
A CVSS v3 base score of 7.5 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)


STACK-BASED BUFFER OVERFLOW CWE-121
XML payload with more than supported number of elements leads to buffer overflow of a variable in stack.
This vulnerability can be exploited for denial of service or arbitrary code execution.
CVE-2017-12821 has been assigned to this vulnerability.
A CVSS v3 base score of 9.8 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)


HEAP-BASED BUFFER OVERFLOW CWE-122
Malformed HTTP request body in Admin APIs can be used to generate heap buffer overflows.
This vulnerability can be exploited for denial of service.
CVE-2017-12820 has been assigned to this vulnerability.
A CVSS v3 base score of 7.5 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)


IMPROPER ACCESS CONTROL CWE-284
License manager web interface is enabled as a default configuration, and even if disabled, it can be re-enabled remotely.
This vulnerability can be exploited to perform above mentioned attacks remotely.
CVE-2017-12822 has been assigned to this vulnerability.
A CVSS v3 base score of 9.9 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:L/A:L)





### BACKGROUND
Critical Infrastructure Sectors: Communications, Financial Services, Government Facilities, Healthcare and Public Health, Information Technology
Countries/Areas Deployed: Worldwide
Company Headquarters Location: Netherlands




### MITIGATION

Gemalto recommends users who have Sentinel LDK run-time environment (RTE) Version 2.10 through Version 7.54 update to Sentinel LDK RTE component Version 7.6, or the latest version. The update was available as of July 2017 and can be found at the following location:

https://sentinelcustomer.gemalto.com/sentineldownloads/


For more information about these vulnerabilities, users can contact customer support at:

https://supportportal.gemalto.com/csm


Or visit the vendor’s customer portal at:

http://safenet.gemalto.com/technical-support/security-updates/


http://sentinel.gemalto.com/technical-support/security-updates-sm/